This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446160 - Review Request: file-browser-applet - File Browser Applet for the GNOME Panel
Review Request: file-browser-applet - File Browser Applet for the GNOME Panel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 00:55 EDT by Deji Akingunola
Modified: 2008-06-03 16:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 16:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2008-05-13 00:55:40 EDT
Spec URL: ftp://czar.eas.yorku.ca/pub/fba/file-browser-applet.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/fba/file-browser-apple
Description: File Browser Applet is an applet for the GNOME Panel. It lets you browse
and open files in your home directory from the gnome panel, without having to
open a file manager. It is _not_ intended as replacement to proper file
managers like nautilus. Sometimes you (like me) just want to open a file and
don't want to have to open a file manager, browse to and open the file, then
close the file manager. This Applet just saves you couple of clicks.
Comment 1 Mamoru TASAKA 2008-05-22 11:38:59 EDT
Where is your srpm?
Comment 2 Deji Akingunola 2008-05-22 12:57:34 EDT
(In reply to comment #1)
> Where is your srpm?

Doh!! It's there now, thanks.

Spec URL: ftp://czar.eas.yorku.ca/pub/fba/file-browser-applet.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/fba/file-browser-applet-0.5.6-1.fc9.src.rpm

Comment 3 Mamoru TASAKA 2008-05-25 09:20:27 EDT
For 0.5.6-1:

* compilar flags
--------------------------------------------------------------
    91  cd /builddir/build/BUILD/file-browser-applet-0.5.6/fedora/src &&
/usr/bin/gcc   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables  -O3 -g -Wall -ansi -DORBIT2=1 -pthread
-I/usr/include/panel-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libgnomeui-2.0
-I/usr/include/libbonoboui-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/libgnome-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/gnome-vfs-2.0
-I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libbonobo-2.0
-I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0
-I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libglade-2.0
-I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DORBIT2=1 -pthread
-I/usr/include/gnome-desktop-2.0 -I/usr/include/gtk-2.0
-I/usr/include/libgnomeui-2.0 -I/usr/include/startup-notification-1.0
-I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/gnome-vfs-2.0
-I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libbonobo-2.0
-I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0
-I/usr/include/libart-2.0 -I/usr/include/gconf/2   -o
CMakeFiles/file-browser-applet.dir/main.o   -c
/builddir/build/BUILD/file-browser-applet-0.5.6/src/main.c
--------------------------------------------------------------
  - Here -O2 optimization level by %optflags is replaced by the latter
    -O3, which must be fixed on Fedora.

* Directory ownership issue
---------------------------------------------------------------
[root@localhost i386]# rpm -qf /usr/lib/gnome-panel/file-browser-applet 
file-browser-applet-0.5.6-1.fc10.i386
[root@localhost i386]# LANG=C rpm -qf /usr/lib/gnome-panel
file /usr/lib/gnome-panel is not owned by any package
[root@localhost i386]# yum whatprovides /usr/lib/gnome-panel
Loaded plugins: refresh-packagekit
Importing additional filelist information
No Matches found
----------------------------------------------------------------
   - Would you verify the ownership of %_libdir/gnome-panel?
Comment 4 Mamoru TASAKA 2008-06-02 12:12:16 EDT
ping?
Comment 5 Deji Akingunola 2008-06-02 12:39:40 EDT
I've actually dealt with the above issues, see below. But I was waiting to hear
back from upstream, hoping they'll readily sign on to changes I made to fix the
directory ownership issue.

Spec URL: ftp://czar.eas.yorku.ca/pub/fba/file-browser-applet.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/fba/file-browser-applet-0.5.6-2.fc9.src.rpm
Comment 6 Mamoru TASAKA 2008-06-02 14:30:26 EDT
Well, on rawhide i386 when I
- Click mouse right button on gnome-panel, select "Add to panel",
  then choose "File Browser" and click "Add"
- On gnome-panel click mouse right button on File browser applet
  and choose "Remove from panel"

Then gnome-panel always crash, while trying with other applets gnome-panel
does not crash.... very strange....

Are you also seeing the issue this??
Note: debugging gnome-panel on rawhide does not work for now due to
       bug 449457
Comment 7 Deji Akingunola 2008-06-02 14:41:31 EDT
(In reply to comment #6)
> Well, on rawhide i386 when I
> - Click mouse right button on gnome-panel, select "Add to panel",
>   then choose "File Browser" and click "Add"
> - On gnome-panel click mouse right button on File browser applet
>   and choose "Remove from panel"
> 
> Then gnome-panel always crash, while trying with other applets gnome-panel
> does not crash.... very strange....
> 
> Are you also seeing the issue this??

I'm not seeing any such issue on x86_64 F-9; adding and removing the applet
works just fine without crashing gnome-panel. 


> Note: debugging gnome-panel on rawhide does not work for now due to
>        bug 449457

Comment 8 Mamoru TASAKA 2008-06-02 15:05:15 EDT
Okay, now I assume this is gnome-panel side bug and I will approve
this package.

------------------------------------------------------------------
     This package (file-browser-applet) is APPROVED by me
------------------------------------------------------------------
Comment 9 Deji Akingunola 2008-06-02 16:38:08 EDT
New Package CVS Request
=======================
Package Name: ffile-browser-applet
Short Description: File Browser Applet for the GNOME Panel
Owners: deji
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 10 Mamoru TASAKA 2008-06-02 23:27:01 EDT
Would you check the Package Name?
Comment 11 Deji Akingunola 2008-06-03 01:46:18 EDT
New Package CVS Request
=======================
Package Name: file-browser-applet
Short Description: File Browser Applet for the GNOME Panel
Owners: deji
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes

Comment 12 Kevin Fenzi 2008-06-03 12:19:25 EDT
cvs done.
Comment 13 Deji Akingunola 2008-06-03 16:04:56 EDT
Thank you Mamoru for another excellent review.

Package imported and built for rawhide, F-8, and F-9.

Note You need to log in before you can comment on or make changes to this bug.